API Referenceapipatient-graphGET /v1/patients/{id}/safe

GET /v1/patients/\{id\}/safe

Service: patient-graph · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 PHI-safe patient projection (ADR-0046)

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "external_ids": {
      "type": "object",
      "additionalProperties": {
        "type": "string"
      }
    },
    "status": {
      "type": "string"
    },
    "metadata": {
      "type": "object",
      "additionalProperties": {}
    },
    "created_at": {
      "type": "string"
    },
    "updated_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "brand_id",
    "external_ids",
    "status",
    "metadata",
    "created_at",
    "updated_at"
  ]
}

404 Patient not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://patient-graph.platform.loop.health/v1/patients/{id}/safe \
  -H "Authorization: Bearer $ACCESS_TOKEN"